<?php
/*
Fichier libraire contenant toutes les constantes et/ou variables
permettant de gérer AEOS.
*/

define('EXEC_START_TIME', microtime(true));
define('SECURITY', FALSE);
// Variables utilisées fréquemments
define('AEOS_NAME', $config['configuration']['nom_site']['#text']);
define('AEOS_DESC', $config['configuration']['description_site']['#text']);
define('AEOS_THEME', $config['configuration']['theme']['#text']);
define('AEOS_MAINTENANCE', $config['configuration']['maintenance']['#text']);
define('AEOS_MAINTMSG', $config['configuration']['message']['#text']);
define('AEOS_FOOTER', $config['configuration']['footer']['#text']);

// Permet le référencement
define('AEOS_TITLE', $page['page']['nom']['#text']);

// Information administration
define('AEOS_PASSWORD', $config['configuration']['mdp_admin']['#text']);
define('AEOS_LOGIN', $config['configuration']['login_admin']['#text']);
define('AEOS_MAIL', $config['configuration']['email_admin']['#text']);

// Variable d'URL Rewriting
define('AEOS_URL', $_SERVER['SERVER_NAME']);
define('AEOS_LANG', $config['configuration']['lang']['#text']);
define('AEOS_VERSION', $config['configuration']['version']['#text']);
define('AEOS_PATH', dirname($_SERVER["REQUEST_URI"]));
define('AEOS_REW', $config['configuration']['urlrewriting_key']['#text']);
define('HOME_PAGE', $config['configuration']['accueil']['#text']);
define('DATA_PAGES', $subdir.'data/pages/');
define('LAST_KEY', max(array_keys($lecture_pages))+1);
define('LAST_ORDER', max(array_keys($ordre_pages))+1);
define('DEBUG_MODE', $config['configuration']['debug']['#text']==='TRUE'?TRUE:FALSE);
('DEBUG_MODE')?include($subdir.'lib/debug.lib.php'):FALSE;
define('UPDATE', $config['configuration']['update']['#text']);
define('AEOS_REAL_URL', 'http://nnsprod.com/aeos');
define('URL_CHECK_UPDATE', AEOS_REAL_URL.'/update/notifications.xml');

//Admin
define('ADMIN_REQUEST_URL', 'index.php?pid='.$pid.'&sid='.$sid);

$DATA_PAGES = $data_pages;
unset($page);
?>